---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: documentations-filestream
  namespace: documentations
spec:
  replicas: 3
  template:
    spec:
      containers:
      - name: documentations-filestream
        image: cr.yandex/crp3ccidau046kdj8g9q/documentations-api-files:prod_54880e92
        env:
        - name: POSTGRES_ADDRESS
          value: postgres-service
        - name: POSTGRES_PORT
          value: '5432'
        - name: POSTGRES_DB
          value: documentations
        - name: POSTGRES_POOL_SIZE
          value: '20'
        - name: API_ADDRESS
          value: 0.0.0.0:8080
        - name: API_ADDRESS_FILE
          value: 0.0.0.0:8080
        - name: ENABLE_SQL_QUERY
          value: '1'
        - name: ENABLE_SSL
          value: '0'
        - name: ENABLE_S3
          value: '1'
        - name: CONTAINER_REGISTRY
          value: cr.yandex/crp3ccidau046kdj8g9q
        - name: ENVIRONMENT
          value: production
        - name: HOST
          value: http://documentations-service.documentations.svc.cluster.local:8080
        - name: FILE_STREAM_HOST
          value: sarex.dsinv.ru
        - name: DOCUMENTATION_URL
          value: http://documentations-service.documentations.svc.cluster.local:8080/
        - name: WORKFLOW_URL
          value: http://workflows-service.workflow.svc.cluster.local:8000/
        - name: WORKSPACE_URL
          value: http://workspaces-service.workspaces.svc.cluster.local:8000/
        - name: BIM_API_URL
          value: http://bim-api-service.bim.svc.cluster.local:8080/
        - name: BIM_API_V2_URL
          value: http://backend-service.bim.svc.cluster.local:8000/
        - name: WORKSPACE_BUNDLE_VERSION
          value: v1
        - name: DJANGO_HOST
          value: http://backend.django.svc.cluster.local:8000
        - name: NAMESPACE
          value: sarex-documentations
        - name: DJANGO_ORIGINATOR
          value: docs_prod
        - name: WORKFLOW_IMAGES_VERSION
          value: master
        - name: WORKFLOWS_IMAGES_VERSION
          value: master
        - name: DOCUMENT_PUBLIC_LINK_JWT_EXPIRATION_MINUTES
          value: '5'
        - name: S3_SERVICE_ACCOUNT
          value: /etc/sarex/yc-s3-storage/yc-s3-service-account.json
        - name: READ_WRITE_TIMEOUT_FILE_STREAM
          value: 6h
        - name: CACHE_DEFAULT_EXPIRATION
          value: 60s
        - name: CACHE_CLEANUP_INTERVAL
          value: 60s
        - name: USE_CACHE_IN_FILE_STREAMER
          value: '1'
